import { StatefulPlugin, StateType } from '@edtr-io/core';
export declare const highlightState: StateType.StateDescriptor<StateType.StateDescriptorsSerializedType<{
    text: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    language: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    lineNumbers: StateType.StateDescriptor<boolean, boolean, {
        (): boolean;
        value: boolean;
        set(value: boolean | ((currentValue: boolean) => boolean)): void;
    }>;
}>, StateType.StateDescriptorsValueType<{
    text: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    language: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    lineNumbers: StateType.StateDescriptor<boolean, boolean, {
        (): boolean;
        value: boolean;
        set(value: boolean | ((currentValue: boolean) => boolean)): void;
    }>;
}>, (() => StateType.StateDescriptorsReturnType<{
    text: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    language: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    lineNumbers: StateType.StateDescriptor<boolean, boolean, {
        (): boolean;
        value: boolean;
        set(value: boolean | ((currentValue: boolean) => boolean)): void;
    }>;
}>) & StateType.StateDescriptorsReturnType<{
    text: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    language: StateType.StateDescriptor<string, string, {
        (): string;
        value: string;
        set(value: string | ((currentValue: string) => string)): void;
    }>;
    lineNumbers: StateType.StateDescriptor<boolean, boolean, {
        (): boolean;
        value: boolean;
        set(value: boolean | ((currentValue: boolean) => boolean)): void;
    }>;
}>>;
export declare const highlightPlugin: StatefulPlugin<typeof highlightState>;
//# sourceMappingURL=index.d.ts.map